import Ember from 'ember';
import RSVP from 'rsvp';

export default Ember.Route.extend({

    player: Ember.inject.service(),
    filter: Ember.inject.service(),

    model: function() {
        return RSVP.hash({
            range: this.get('store').query('dateminmax', {}),
            datestats: this.get('store').query('datestat', this.get('filter').get('queryParamsValues'))
        });
    },

    activate: function() {
        this.get('player').set('window', false);
    }

});
